> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get all leads

GET https://api.propexo.com/v1/leads/

Get all leads

Reference: https://docs.propexo.com/api-reference/yardi-rest/leads/get-all-leads

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query
- `x_id` (string, optional) — The external lead id
- `x_property_id` (string, optional) — Deprecated: Use the Propexo property_id instead
- `location_id` (string, optional) — The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
- `x_unit_id` (string, optional) — The external unit id
- `email_1` (string, optional) — Lead email address
- `email_2` (string, optional) — Lead email address alternate
- `property_id` (string, optional) — The Propexo property id
- `integration_id` (string, optional) — The Propexo integration id
- `integration_vendor` (enum, optional) — The integration vendor for the lead.
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `phone_1` (string, optional) — Filter by phone number (10 digit format only)

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (list of Lead, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### Lead

- `id` (string, required) — The Propexo unique identifier for the lead
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_created_at` (any, required) — The date the record first entered the integration vendorThis field will always be null for YARDI\_REST
- `x_guestcard_id` (any, required) — The external ID of the guestcard from the integration vendorThis field will always be null for YARDI\_REST
- `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity | | ILS Guest Card | /ItfProspect/GetApplication |
- `x_leasing_agent_id` (any, required) — The external ID of the leasing agent from the integration vendorThis field will always be null for YARDI\_REST
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity | | ILS Guest Card | /ItfProspect/GetApplication |
- `x_unit_id_preferred` (list of string, required) — The external IDs of the units from the integration vendor that the lead is interested in | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `x_updated_at` (any, required) — The date the record was last updated in the integration vendorThis field will always be null for YARDI\_REST
- `x_lead_source_id` (any, required) — The external ID of the lead source from the integration vendorThis field will always be null for YARDI\_REST
- `address_1` (string, required, nullable) — The first address line associated with the lead | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `address_2` (string, required, nullable) — The second address line associated with the lead | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `city` (string, required, nullable) — The city associated with the lead | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `country` (string, required, nullable) — The country associated with the lead | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `custom_data` (LeadCustomData, required, nullable)
- `date_of_birth` (string, required, nullable) — The date of birth associated with the lead | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetApplication |
- `desired_amenities` (any, required) — The desired amenities associated with the leadThis field will always be null for YARDI\_REST
- `desired_floor_plan_id` (string, required, nullable) — The external ID of desired floor plan associated with the lead | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `desired_floor_plan_name` (any, required) — The desired floor plan nameThis field will always be null for YARDI\_REST
- `desired_lease_term_in_months` (any, required) — The desired lease termThis field will always be null for YARDI\_REST
- `desired_max_rent_in_cents` (double, required, nullable) — The desired maximum rent | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `desired_max_square_ft` (any, required) — The desired maximum square feetThis field will always be null for YARDI\_REST
- `desired_min_rent_in_cents` (double, required, nullable) — The desired minimum rent | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `desired_min_square_ft` (any, required) — The desired minimum square feetThis field will always be null for YARDI\_REST
- `desired_num_bathrooms` (any, required) — The desired number of bathroomsThis field will always be null for YARDI\_REST
- `desired_num_bedrooms` (integer, required, nullable) — The desired number of bedrooms | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `desired_unit_number` (string, required, nullable) — The desired unit number | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `desired_unit_type` (any, required) — The desired unit typeThis field will always be null for YARDI\_REST
- `email_1` (string, required, nullable) — The primary email address associated with the lead | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `email_2` (any, required) — The secondary email address associated with the leadThis field will always be null for YARDI\_REST
- `first_name` (string, required, nullable) — The first name associated with the lead | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `ils` (any, required) — The name of the Internet listing serviceThis field will always be null for YARDI\_REST
- `last_name` (string, required, nullable) — The last name associated with the lead | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `lead_source` (string, required, nullable) — The lead source | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `leasing_agent` (string, required, nullable) — The name of the leasing agent | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `middle_name` (string, required, nullable) — The middle name associated with the lead | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `notes` (any, required) — Notes associated with the leadThis field will always be null for YARDI\_REST
- `number_of_occupants` (any, required) — The number of occupantsThis field will always be null for YARDI\_REST
- `pets` (list of LeadPetsItems, required) — The pets associated with the lead
- `phone_1_type` (string, required, nullable) — Type of the primary phone number | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `phone_1` (string, required, nullable) — Primary phone number associated with the lead | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `phone_2_type` (any, required) — Type of the secondary phone numberThis field will always be null for YARDI\_REST
- `phone_2` (any, required) — Secondary phone number associated with the leadThis field will always be null for YARDI\_REST
- `state` (string, required, nullable) — The state associated with the lead | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `status` (any, required) — The raw status associated with the leadThis field will always be null for YARDI\_REST
- `target_move_in_date` (string, required, nullable) — The target move in date | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `zip` (string, required, nullable) — The zip code associated with the lead | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `property_id` (string, required) — The Propexo unique identifier for the property
- `lead_source_id` (any, required) — The Propexo unique identifier for the lead sourceThis field will always be null for YARDI\_REST
- `unit_id_preferred` (list of string, required) — The Propexo unique identifiers for the units that the lead is interested in | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `YARDI_REST`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`
- `screenings` (list of LeadScreeningsItems, required) — This field is not currently hydrated for YARDI_REST
- `x_unit_id` (any, required, deprecated) — DEPRECATED: Use x\_unit\_id\_preferred insteadThis field will always be null for YARDI\_REST
- `pet_details` (any, required, deprecated) — DEPRECATED: Use the pets array insteadThis field will always be null for YARDI\_REST

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### LeadCustomData

### LeadPetsItems

- `id` (string, required) — The Propexo unique identifier for the lead pet
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendorPet data in Yardi requires additional configuration for your Propexo integration. Please contact Propexo support for more information. | Interface | Method | | -------------- | --------------------------- | | ILS Guest Card | /ItfProspect/GetApplication |
- `age_in_years` (double, required, nullable) — The age in years of the lead petPet data in Yardi requires additional configuration for your Propexo integration. Please contact Propexo support for more information. | Interface | Method | | -------------- | --------------------------- | | ILS Guest Card | /ItfProspect/GetApplication |
- `breed` (string, required, nullable) — The breed of the lead pet | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetApplication |
- `color` (string, required, nullable) — The color of the lead pet | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetApplication |
- `gender_raw` (string, required, nullable) — The raw value for the gender of the lead pet | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetApplication |
- `is_fixed` (boolean, required, nullable) — Whether the lead pet is fixed | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetApplication |
- `is_service_animal` (boolean, required, nullable) — Whether the lead pet is a service animal | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetApplication |
- `name` (string, required, nullable) — The name associated with the lead pet | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetApplication |
- `notes` (any, required) — Notes associated with the lead petThis field will always be null for YARDI\_REST
- `type` (string, required, nullable) — The type associated with the lead pet | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetApplication |
- `weight_in_pounds` (double, required, nullable) — The weight in pounds of the lead pet | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/GetApplication |
- `custom_data` (LeadPetsItemsCustomData, required, nullable)

### LeadScreeningsItems

- `id` (string, required) — The Propexo ID of the screening
- `created_at` (string, required) — The date record first entered Propexo
- `last_seen` (string, required) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor
- `status_raw` (string, required, nullable) — The status/results of the screeningThis field is not currently hydrated for YARDI\_REST
- `screening_date` (string, required, nullable) — The date the screening took placeThis field is not currently hydrated for YARDI\_REST

### LeadPetsItemsCustomData

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": [
    {
      "id": "clwktsp9v000008l31iv218hn",
      "created_at": "2024-03-21T15:38:08.337Z",
      "updated_at": "2024-03-22T10:59:45.119Z",
      "last_seen": "2024-03-22T10:59:45.119Z",
      "x_created_at": null,
      "x_guestcard_id": null,
      "x_id": "p0939512",
      "x_leasing_agent_id": null,
      "x_property_id": "3299",
      "x_unit_id_preferred": [
        "312441"
      ],
      "x_updated_at": null,
      "x_lead_source_id": null,
      "address_1": "2 test st",
      "address_2": "Apt 1",
      "city": "Richmond",
      "country": "United States",
      "custom_data": {},
      "date_of_birth": "1989-01-01",
      "desired_amenities": null,
      "desired_floor_plan_id": "123",
      "desired_floor_plan_name": null,
      "desired_lease_term_in_months": null,
      "desired_max_rent_in_cents": 150000,
      "desired_max_square_ft": null,
      "desired_min_rent_in_cents": 150000,
      "desired_min_square_ft": null,
      "desired_num_bathrooms": null,
      "desired_num_bedrooms": 2,
      "desired_unit_number": "122",
      "desired_unit_type": null,
      "email_1": "test@tester.com",
      "email_2": null,
      "first_name": "Test",
      "ils": null,
      "last_name": "Tester",
      "lead_source": "4walls.net",
      "leasing_agent": "Craig Smith",
      "middle_name": "A",
      "notes": null,
      "number_of_occupants": null,
      "pets": [
        {
          "id": "clwktsp9v000008l31iv218hn",
          "created_at": "2024-03-21T15:38:08.337Z",
          "updated_at": "2024-03-22T10:59:45.119Z",
          "last_seen": "2024-03-22T10:59:45.119Z",
          "x_id": "cmrf7uug0000104l86lyodti3",
          "age_in_years": 3,
          "breed": "Golden Retriever",
          "color": "Golden",
          "gender_raw": "M",
          "is_fixed": true,
          "is_service_animal": true,
          "name": "Buddy",
          "notes": null,
          "type": "Dog",
          "weight_in_pounds": 50,
          "custom_data": {}
        }
      ],
      "phone_1_type": "office",
      "phone_1": "5555555555",
      "phone_2_type": null,
      "phone_2": null,
      "state": "VA",
      "status": null,
      "target_move_in_date": "2026-06-26T00:00:00.000Z",
      "zip": "23220",
      "property_id": "clwi5xiix000008l6ctdgafyh",
      "lead_source_id": null,
      "unit_id_preferred": [
        "testintegration:1:312441"
      ],
      "integration_id": "clwh5u07w000508me66sfh3um",
      "integration_vendor": "YARDI_REST",
      "screenings": [
        {
          "id": "clwktsp9v000008l31iv218hn",
          "created_at": "2024-03-21T15:38:08.337Z",
          "last_seen": "2024-03-22T10:59:45.119Z",
          "x_id": "string",
          "status_raw": "string",
          "screening_date": "string"
        }
      ],
      "x_unit_id": null,
      "pet_details": null
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leads/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leads/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leads/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leads/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/leads/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/leads/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leads/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leads/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```